<?php
function logearEstacionamiento($id){
	$rs = new xajaxResponse();
	$usu = new UEstacionamiento();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(empty($id)){
		$mError .= '<div>No selecciono ning&uacute;n estacionamiento.</div>';
	}
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est = $usu->verificarEstacionamiento($id)){
		$rs->assign('mAcierto','innerHTML','Ha seleccionado un estacionamiento, ahora podr&aacute; administrarlo.');
		$rs->script('$("#mAcierto").slideDown();');
		$_SESSION['usuario']['estacionamiento'] = $est['id'];
		$_SESSION['usuario']['disponibilidad'] = $est['disponibilidad'];
		$rs->redirect(base.'clientes',1);
		return $rs;
	}else{
		$mError.='<div>Ha seleccionado un estacionamiento que no le corresponde.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug', true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
// $xajax->register(XAJAX_FUNCTION,'logearEstacionamiento',array('onResponseDelay' => 'cargando','onComplete' => 'completo'));
$xajax->register(XAJAX_FUNCTION,'logearEstacionamiento');
?>